/*
*	Unknown
*	v1.0
*/
html {
    height: 100%;
}
body {
    height: 100%;
    background-color: #eee;
}
.main{height: 100%;}
vue-mask{position: fixed;left: 0;right: 0;top: 0;bottom: 0;z-index: 999999;background-color: #fff;}
.wrap { display: -webkit-box; -webkit-box-orient: vertical; -webkit-flex-flow: column; }
.flex{display: -webkit-box; display: -webkit-flex; display: flex;}
.flex-center{-webkit-box-align: center; -webkit-align-items: center; align-items: center !important;}
.flex-1 {-webkit-box-flex: 1; -webkit-flex: 1; flex: 1; width: 0%;}
.flex1 {-webkit-box-flex: 1; -webkit-flex: 1; flex: 1; }
.row-flex .cell{display: -webkit-box; display: -webkit-flex; display: flex;-webkit-box-align: center; -webkit-align-items: center; align-items: center;}
.xy-el-loading .el-loading-spinner i{font-size: 3rem; color: #FF6D05; }
.xy-el-loading .el-loading-spinner .el-loading-text{font-weight: 400; font-size: 1.4rem; color: #FF6D05; }
.hover-bg:hover{background-color: #e8e8e8;}
.pointer{cursor: pointer;}
.nav-top{
    height: 60px;
    transition: all .3s ease;
    overflow-y: hidden;
    overflow-x: auto;
}
.nav-top::-webkit-scrollbar{
    display: none;
}
.nav-top .el-menu-item{padding: 0 1rem;}
.nav-top .el-submenu{height:60px;}
.nav-top .el-menu-item a i{margin-top:-3px;}
.nav-top.el-menu--horizontal>.el-submenu .el-submenu__icon-arrow{margin-top:4px;}
.nav-top.el-menu.el-menu--horizontal{border-bottom: 0 !important;}
.nav-top.el-menu--horizontal>.el-menu-item.is-active{border-bottom: 0 !important;}
.nav-top.el-menu--horizontal>.el-submenu.is-active .el-submenu__title{border-bottom: 0 !important;}
.el-menu--collapse .el-menu .el-submenu, .el-menu--popup{min-width: 150px;}
.nav-top .webname{opacity:1;cursor: auto;font-weight:500;font-size: 1rem;}
.nav-top .webname .el-color-picker__trigger{border:0;}
.el-menu-item.theme{opacity:1;cursor: auto;font-weight:normal;font-size: .6rem;}
.el-menu-item.theme .el-color-picker__trigger{border:0;color: }
.el-menu-item.theme .el-color-picker__icon{display: none;}
.nav-top .theme.el-submenu .el-submenu__title{padding: 0 1rem;}
.nav-top .theme.el-submenu .el-submenu__icon-arrow,
.nav-top .theme.el-submenu .el-icon-arrow-down{display: none !important;}
.nav-top .flex-1{cursor: auto;}
.nav-left{
    height: 100%;
    overflow-x: hidden;
    overflow-y: auto;
    transition: all .3s ease;
}
.nav-left::-webkit-scrollbar{
    display: none;
}
.nav-left:not(.el-menu--collapse) {
    width: 12rem;
}
.body{
    height: 100%;
    overflow: auto;
    display: block;
    position: relative;
    padding: 10px;
}
.el-drawer__wrapper{
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    overflow: hidden;
    margin: 0;
}
.el-menu{border-right: 0;}
.el-menu-item a,
.el-menu-item a:hover{display:block;color: inherit;text-decoration:none;}
.breadcrumb-item+.breadcrumb-item::before{content:"\e791";}
[class*=" breadcrumb-item"], [class^=breadcrumb-item]{font-family: element-icons!important;}
.el-menu-item .el-icon{width: 18px;}
.el-tree__empty-text{font-size: 80%;}
.el-button--minism{padding: 4px 6px;font-size: .6rem;}
.table-title{font-weight: bold;color: #909399;}
label{margin-bottom: 0px !important;}
input:focus,
button:focus,
button:active{
webkit-box-shadow:none !important;
box-shadow: none !important;
outline: none !important;
}
.mh-50px{max-height: 50px !important;}
.mh-100px{max-height: 100px !important;}
.mh-200px{max-height: 200px !important;}
.mw-50px{max-width: 50px !important;}
.mw-100px{max-width: 100px !important;}
.mw-200px{max-width: 200px !important;}
.el-image-viewer__close{color:#fff;}

.text-E6A23C{color: #E6A23C;}
.text-F56C6C{color: #F56C6C;}
.text-409EFF{color: #409EFF;}
.text-909399{color: #909399;}

.text-theme-icon{
    background-image: -webkit-linear-gradient(left, #ffc107, #f56c6c 10%, #ff6d05 20%, #FF8323 30%, #ff6d05 40%, #ffc107 50%, #f56c6c 60%, #ff6d05 70%, #FF8323 80%, #ff6d05 90%, #ffc107);
    color: transparent;
    -webkit-text-fill-color: transparent;
    -webkit-background-clip: text;
    background-size: 200% 100%;
    animation: text-theme-icon-animation 4s infinite linear;
}
@keyframes text-theme-icon-animation {
    0% {background-position: 0 0; }
    100% {background-position: -100% 0; }
}
.el-input-number--minism{
    width: 80px;
    line-height: 20px;
}
.el-input-number--minism .el-input-number__decrease, .el-input-number--minism .el-input-number__increase{width: 20px;}
.el-input--minism .el-input__inner{height: 20px;line-height: 20px;padding: 0 20px;font-size: .8rem;}
.el-input-number--minism{line-height: 18px;}
.el-button [class*=" el-icon-"], .el-button [class^=el-icon-]{line-height: 0;}
.el-tabs .el-tabs__header{margin: 0;}
.el-tabs .el-tabs__header .el-tabs__item{height: 60px;line-height: 60px;}
/*
*   屏幕宽度小于576px生效
*   用于手机端
*/
@media (max-width: 576px){
    .el-message{
        min-width: 90%;
        -webkit-box-align: start;
        -ms-flex-align: start;
        align-items: start;
    }
    .el-message-box{max-width:90%;}
    .el-radio, .el-radio--medium.is-bordered .el-radio__label{margin-top: 10px;}
}